在eclipse中执行team->pull出现the current branch is not configured for pull

原创 2017年07月26日 13:26:31

今天在github修改文件之后想同步到本地工程,在eclipse中点击team–>pull时出现如下提示:
这里写图片描述
解决方法:
打开所在仓库的.git文件夹,修改config文件,加入如下参数:

[branch "master"]

        remote = master

        merge = refs/heads/master

    [remote "master"]

        url = github上该仓库的地址

        fetch = +refs/heads/*:refs/remotes/origin/*

相关文章推荐

git error:Updates were rejected because the tip of your current branch is behind

var username = "huangbin10025"; var _blogger = username; var blog_address = "http://blog.csd...

AndroidStudio中使用Git-高级篇——新建分支(branch)和拉取请求(Pull request) (by 星空武哥)

版权声明:本文为博主原创文章,未经博主允许不得转载。 目录(?)[+]     转载请标注来源:http://blog.csdn.net/lsyz0021/arti...
  • asdf717
  • asdf717
  • 2016年12月19日 17:07
  • 652

MySQL之——主从server-id不生效,The server is not configured as slave

数据库已搭建完成,各种配置均已完成,但是在start slave ;的时候,报错: ERROR 1200 (HY000): The server is not configured as slave;...

PHP Interpreter is not configured(configure PHP Interpreter)解决办法(转)

php这么流行,不能不研究一下。首先得找到好用的工具,见网上大神们都推荐神器phpStorm,那我也追追风,下载了一个phpStorm 7.1。平时工作都是在mac系统,所以这儿只介绍mac系统神器的...

Not enough physical memory is available to power on this virtual machine with its configured setting

出现错误,查找资料解决。

php Interpreter is not configured 解决方法

当我们在phpstorm里面写好代码 ,想要运行的时候,会出现 点击 超链接 出现 这时候点击  出现   这时候 点击  里面选中你的php.exe 路径 再点...

idea的mybatis的xml文件总是报警告SQL dialect is not configured

警告:No data sources are configured to run this SQL and provide advanced code assistance. Disable this...

PHP学习之PHPStrom 配置问题 PHP Interpreter is not configured(configure PHP Interpreter)解决办法

PHP破解版下载 http://www.waitsun.com/jetbrains-phpstorm-10-0-1.html 破解办法: JetBrains PhpSto...

root.sh Fails to Start HAIP as Default Gateway is Configured for Private Network VLAN (文档 ID 1366211

Applies to: Oracle Server - Enterprise Edition - Version 11.2.0.2 and later Information in this d...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:在eclipse中执行team->pull出现the current branch is not configured for pull
举报原因:
原因补充:

(最多只允许输入30个字)